Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.editor.client
Interface CompositeEditor.EditorChain<C,E extends Editor<C>>

Type Parameters:
  `C` - the type of object to be edited
  `E` - the type of Editor

All Known Implementing Classes:
  MockEditorChain

Enclosing interface:
  CompositeEditor<T,C,E extends Editor<C>>

    public static interface CompositeEditor.EditorChain<C,E extends Editor<C>>

Allows instances of the component type to be attached to the Editor framework.

See Also:
  `MockEditorChain`

Method Summary
`void` | `attach(C object, E subEditor)` Editors attached to the chain will be automatically flushed as if they were a statically-defined sub-Editor.
`void` | `detach(E subEditor)` Detach a sub-Editor from the editor chain.
`C` | `getValue(E subEditor)` Retrieves the value associated with the editor.

Method Detail

### attach

    void attach(C object,
                E subEditor)

  Editors attached to the chain will be automatically flushed as if they were a statically-defined sub-Editor.

  Parameters:
    `object` - the object to edit
    `subEditor` - the Editor to populate

### detach

    void detach(E subEditor)

  Detach a sub-Editor from the editor chain.

  Parameters:
    `subEditor` - an Editor previously passed into `attach(C, E)`

### getValue

    C getValue(E subEditor)

  Retrieves the value associated with the editor.

  Parameters:
    `subEditor` - an Editor previously passed into `attach(C, E)`
  Returns:
    the value associated with the editor

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD